/* PADR�ES GERAIS */

html, body{
	height:100%;
}

body, a, h1, h2, h3, h4, h5, h6, h7, h8, h9, div, label, table, td, th, tr, input, select, textarea
{
	font-family:Arial, Helvetica, sans-serif;
}

body, a, div, label, table, td, th, tr, input, select, textarea
{
  font-size: 8pt;
}

body
{
	color: #666666;
	background-color: #ffffff;
	margin-top: 0px;
}

a.linkExibirOcultar
{
	font-weight: bold;
	text-align: left;
	text-decoration: underline;
	font-size: 8px;
}

form
{
}

label
{
  font-weight: normal;
  color: #545454;
}

td.valorDiv
{
	font-weight: bold;
	text-align: left;
	font-size: 14px;
	color: #bb0c0c;
	background-color: #fbe84a;
}

td.valorEnt
{
	font-weight: bold;
	text-align: left;
	font-size: 14px;
	color: #0a56a7;
	background-color: #b3d0ee;
}

td.valorEnt select
{
	font-weight: bold;
	text-align: right;
	font-size: 14px;
	color: #0a56a7;
	background-color: #b3d0ee;
	border: none;
}

td.valor
{
	font-weight: bold;
	text-align: left;
	font-size: 14px;
}

input, select, textarea
{
	border: 1px solid #e2e2e2;
	font-weight: normal;
	color: #000000;
	margin-left: 0px;
}
input[type="checkbox"]
{
	margin-left: 4px;
}
textarea
{
	padding: 0px;
}

input[type="radio"]
{
	border: none;
}

input[type="radio"]:focus
{
	box-shadow: 0 0 3px 1px #ffc;
}

input[type="text"]
{
	height: 1.33em;
}

select[size="1"]
{
	height: 1.68em;
	text-overflow: ellipsis;
}

fieldset
{
	display: inline-block;
	vertical-align: top;
}

fieldset > legend
{
	font-weight: bold;
}

.elementoDesabilitado
{
}

.rotuloInterno
{
 /* Propriedades removidas, Ver tamb�m: ajaxtags.css */
}

div.mensagensDeErro
{
	text-align: left;
	border: 0px none;
	padding: 8px;
	margin-top: 8px;
	margin-right: 80px;
	margin-bottom: 8px;
	margin-left: 80px;
	color: red;
	background: #f0c9c9;
	border: 1px solid red;
  	-webkit-border-radius: 8px;
  	-moz-border-radius: 8px;
}

div.mensagensDeErro td
{
	vertical-align: middle;
	background: url(../img/interface/msg_erro_icone.png) top left no-repeat;
	padding-left: 20px;
	padding-top: 2px;
	color:#666;
	border-color:#F90
}

div.mensagensDeAlerta
{
	text-align: left;
	border: 0px none;
	padding: 8px;
	margin-top: 8px;
	margin-right: 80px;
	margin-bottom: 8px;
	margin-left: 80px;
	color: #f5bc30;
	background: #f0edc9;
	border: 1px solid #f5bc30;
  	-webkit-border-radius: 8px;
  	-moz-border-radius: 8px;
}

div.mensagensDeAlerta td
{
	vertical-align: middle;
	background: url(../img/interface/msg_alerta_icone.png) top left no-repeat;
	padding-left: 20px;
	padding-top: 2px;
}

div
{
}

img
{
  border: 0px none;
}

a
{
  color: #545454;
  font-weight: bold;
  font-size: 11px;
  text-decoration: none;
}

a:hover
{
  text-decoration: none;
	
	opacity:0.7;
	filter:alpha(opacity=70); /* For IE8 and earlier */

}

a:active
{
  color: #d40904;
  text-decoration: none;
}

a.link
{
  color: #545454;
  font-weight: bold;
  font-size: 10px;
  text-decoration:underline;
}

a.link:hover
{
  color: #0870cc;
  text-decoration:underline;
}

a.link:active
{
  color: #d40904;
  text-decoration:underline;
}

a.linkDesabilitado
{
  color: #b3bac2;
  font-weight: bold;
  
  font-size: 10px;
  text-decoration:underline;
}

a.linkDesabilitado:hover
{
  color: #b3bac2;
  font-weight: bold;
  font-size: 10px;
  text-decoration:underline;
}

.selecaoIncorreta
{
    background-color: #FFFFFF;
    border-color: #FFA500;
}

.selecaoIncorreta:disabled
{
	background-color: #F0F0F0;
}

/* BOT�ES */

a.comando, div.comando
{
	font-weight: bold;
	color: #545454;
	font-size: 8pt;
	text-align: center;
	text-decoration: none;
	cursor: pointer;
}

a.comando:focus .comando-botao
{
	background: #ffc;
}

a.comando:focus .comando-botao label
{
	color: #007;
}

div.comando
{
	padding: 0px;
	max-height: 20px;
	z-index: 1;
}

div.comando > .bordasArredondadas-IE .on
{
	background: #e2e2e2;
}

div.comando-botao
{
	max-height: none;
	display: inline-block;	
	background: #e2e2e2;
	border: 1px solid #d2d2d2;
	height: 32px;
	line-height: 32px; /* line-height = height : "Hack" para o alinhamento vertical funcionar corretamente no IE. */
	min-width: 86px;
}

div.botaoPesquisa 
{
	background: none repeat scroll 0 0 transparent;
    border: medium none;
    height: 24px;
    min-width: 10px;
}

div.botaoPesquisa:hover
{
	opacity: 0.7;
	-moz-opacity:0.7;
	cursor:pointer;
}

div.comando > label
{
	display: inline-block;
	margin: 0 8px;
	 height: 20px;
}

div.botaoClaro,
div.botaoClaro > .bordasArredondadas-IE .on
{
	background: #FFFFFF;
}

a.comandoDesabilitado, div.comandoDesabilitado
{
	font-weight: bold;
	color: #545454;
	font-size: 8pt;
	text-align: center;
	vertical-align: middle;
	text-decoration: none;
	cursor: pointer;
	
	opacity:0.60;
	filter:alpha(opacity=60);
}

div.comandoDesabilitado
{
	padding: 0px;
	max-height: 20px;
	z-index: 1;
}

div.comandoDesabilitado > .bordasArredondadas-IE .on
{
	background: #e2e2e2;
}

div.comandoDesabilitado-botao
{
	max-height: none;
	display: inline-block;	
	background: #e2e2e2;
	height: 32px;
	line-height: 32px; /* line-height = height : "Hack" para o alinhamento vertical funcionar corretamente no IE. */
	min-width: 86px;
	border: 1px solid #D2D2D2;
}

div.comandoDesabilitado > label
{
	display: inline-block;
    height: 20px;
	margin: 0 8px;
}

div.comandoSimples
{
	height: 16px;
	line-height: 18px; /* line-height = height : "Hack" para o alinhamento vertical funcionar corretamente no IE. */
	min-width: 18px;
	background-position: 0px -6px;
}

div.comando .icone, div.comandoDesabilitado .icone 
{
	float : left;	
	margin-left: 3px;
    margin-top: 3px;
}

a.botao
{	
	display: inline-block;
	font-size: 100%;
	text-align: center;
	background: #e2e2e2;
	height: 32px;
	line-height: 32px; /* line-height = height : "Hack" para o alinhamento vertical funcionar corretamente no IE. */
	min-width: 86px;
	padding-left: 8px;
	padding-right: 8px;
	z-index: 1;
}

a.botaoSimples
{
	height: 18px;
	line-height: 18px; /* line-height = height : "Hack" para o alinhamento vertical funcionar corretamente no IE. */
	min-width: 18px;
}

a.botao:hover
{
	color: #FF0000;
}

a.botao .bordasArredondadas-IE .on
{
	background: #e2e2e2;
}

a.botaoSeletor
{
	padding-top: 3px;
	padding-right: 5px;
	padding-bottom: 3px;
	padding-left: 5px;
	font-weight: bold;
	color: #545454;
	font-size: 7.5pt;
	text-align: center;
	vertical-align: middle;
	text-decoration: none;
	border-color:#646c75;
	border-top: 1px solid;
	border-right: 1px solid;
	border-bottom: 1px solid;
	border-left: 1px solid;
	background-image: url(../img/interface/botao.gif);
	background-position: center;
	line-height: 25px;
}

a.botaoCompacto
{
	font-weight: bold;
	color: #545454;
	font-size: 8pt;
	text-align: center;
	vertical-align: middle;
	text-decoration: none;
	cursor: pointer;
	padding: 1px; 
	margin-left: 1px;
	margin-right: 1px;
	background: #E2E2E2;
}

a.botaoCompacto:hover
{
  color: #d40904;
}

a.icone
{
	font-weight: bold;
	color: #545454;
	font-size: 8pt;
	text-align: center;
	vertical-align: middle;
	text-decoration: none;
	cursor: pointer;
}

a.icone > div,
a.icone > div > div
{
	display: inline-block;
}

div.botaoCancelar
{
	background-color: #D03636;
}

div.botaoFaturar
{
	background-color: #6cd054;
}

div.botaoCancelar label,
div.botaoFaturar label
{
	color: white;
}

div.botaoFaturar:hover label
{
	color: black;
}

div.botaoCancelar:hover
{
	background-color: #E04646;
	color: white;
	border-color:#999;
}

div.botaoPrincipal
{
	background-color: #6DD656;
}

div.botaoPrincipal label
{
	color: white;
}

div.botaoPrincipal:hover
{
	background-color: #7DE666;
	color: white;
}


/* CHECKBOXES */

span.checkboxPadrao input
{
	border: 0px;
	vertical-align: middle;
}

span.checkboxPadrao label
{
	vertical-align: middle;
}

/* CHECKLISTBOXES */

div.checkListBoxPadrao-externo
{
	border: 1px solid #A0ACB8; 
	padding-top: 8px;
	margin-bottom: 4px;
	max-width: 220px;
	width:220px;

  	-webkit-border-radius: 8px;
  	-moz-border-radius: 8px;
  	border-radius: 8px;
	
	background-color:#FFF;
}

div.checkListBoxPadrao
{
	max-height: 95px; 
	overflow: auto;
	margin: 0px;
	height: 95px;

  	-webkit-border-radius: 8px;
  	-moz-border-radius: 8px;
  	border-radius: 8px;
}

div.checkListBoxPadrao-botoes
{
	position: relative;

	margin-top: 4px;
	padding-top: 4px;
	height: 14px;
	
	padding-left: 4px;
	padding-right: 4px;

  	-webkit-border-radius: 8px;
  	-moz-border-radius: 8px;
  	border-radius: 8px;
  	background: #E2E2E2;
  	border: 1px solid #A0ACB8;
}

div.checkListBoxPadrao-botoes .botaoCompacto
{
	background: none;
	margin: 0;
}

div.checkListBoxPadrao-botoes .marca,
div.checkListBoxPadrao-botoes .desmarca 
{
	position: absolute;
	display: inline-block;
	width: 50%;
}

div.checkListBoxPadrao-botoes .desmarca
{
	border-left: 1px solid #a0acb8;
	padding-left: 2px;
	left: 50%;
}

table.checkListBoxPadrao tbody tr td
{
	border-bottom: 0px;
	overflow: hidden; 
	text-overflow: ellipsis; 
	white-space: nowrap;
	max-width: 200px;
}

table.checkListBoxPadrao tbody tr td:hover
{
	background-color: #F8FEFF;
}

table.checkListBoxPadrao input
{
	vertical-align: middle;
}

table.checkListBoxPadrao label
{
	vertical-align: middle;
}

table.checkListBoxPadrao label:hover
{
	color: #d40904;
}

/* CHECKLISTBOXES OCULT�VEIS */

a.checkListOcultavel-exibirLista
{
	display: inline-block;
	width: 22px;
	height: 22px;
	background: url('../img/interface/icone_botao_expandir_opcoes.png') 0 0 no-repeat;	
	vertical-align: middle;
}

/* CABE�ALHO */

td.cabecalho
{
	background-color: #ffffff;
	border-bottom: 2px solid #545454;
}

td.login 
{ 
    font-size: 7pt;
}


/* BARRA DE T�TULO */

table.tableTitulo
{
	margin-bottom: 0px;
	margin-left: 0px;
	margin-right: 0px;
	margin-top: 0px;
	padding-left: 5px;
	/*
	background-color: #F8FEFF;
	border-bottom: 1px solid #545454;
	border-top: 2px solid #545454;
	*/
}

.subtitulo
{
	font-weight: bold;
}


.titulo
{
	font-size: 13pt;
	font-weight: bold;
}


/* PAINEL DE PESQUISA */

div.pesquisa
{
	position: relative;
	clear: both;
	width: 100%;
}

div.pesquisa .botoes
{
}

div.pesquisa .tablePesquisa
{
	margin-left: 16px;
	margin-bottom: 16px;
}

div.pesquisa .botoes a
{
	display: inline-block;
	width: 22px;
	height: 22px;
	background: black;
}

div.pesquisa .botoes .consulta
{
	background: url(../img/interface/pesquisa_executa.png) no-repeat;
}

div.pesquisa .botoes .consulta:hover
{
	opacity: 0.7;
	-moz-opacity:0.7;
	cursor:pointer;
}

div.pesquisa .botoes .limpa
{
	background: url(../img/interface/pesquisa_limpar.png) no-repeat;
}

div.pesquisa .botoes .limpa:hover
{
	opacity: 0.7;
	-moz-opacity:0.7;
	cursor:pointer;
}

/* BARRA DE PAGINA��O */

table.tablePaginacao
{
	margin-bottom: 0px;
	margin-left: 5px;
	margin-right: 5px;
	margin-top: 0px;
	padding: 0px;
	background-color: #c3cdd5;
}

a.pagina
{
  font-weight: normal;
}

a:hover.pagina
{
}

a.paginaDesabilitado
{
  font-weight: normal;
  color: #A6C5E5;
}

a:hover.paginaDesabilitado
{
}

a.passadorPagina
{
	color: #545454;
	font-size: 9px;

}
a:hover.passadorPagina
{
}

a.passadorPaginaDesabilitado
{
	color: #dce0e8;
	font-size: 9px;
}

a:hover.passadorPaginaDesabilitado
{
  color: #dce0e8;
}

span.passadorPagina
{
  color: #cf0a2a;
  font-weight: bold;
  font-size: 12px;
}

span:hover.passadorPagina
{
  color: #c7cbd2;
  font-size: 9px;
}

div.paginacaoContainer
{
  text-align: center;
}

span.paginaCorrente
{
  font-weight: bold;
}

a.esquerdaSublinhado
{
	text-align: left;
	text-decoration: underline;
}

/* MANUTEN��O */

div.areaExternaManutencao
{
	width: 100%;
	background: #fcfcfc;
	position: relative;
	z-index: 1;
}

div.areaExternaManutencao > .bordasArredondadas-IE .on
{
	background: #fcfcfc;
}

div.areaExternaManutencao .interno
{
	height: 100%;
	padding: 8px 8px 44px;
}

div.areaExternaManutencao .semPadding
{
	height: 100%;
	padding: 0px 0px 44px;
}

div.areaExternaManutencao .semPaddingLateral
{
	height: 100%;
	padding: 8px 0px 44px;
}

div.areaExternaManutencao .botoesManutencao
{
	position: absolute;
	display: block;
	bottom: 4px;
	right: 4px;
}

form#manutencao
{
	width: 100%;
	height: 100%;
}

div.autoPadDiv
{
	height: 100%;
}

.formulario
{
}

.formulario table td
{
	height: 18px; /* no m�nimo */
	height: 22px\0; /* regra especifica para IE11 */
	text-align: left;
	vertical-align: baseline;
}

.linhaSessao td
{
	height: 18px;
	vertical-align: bottom;
	background: url(../img/interface/linha-horiz-3px.png) 0px 12px repeat-x;
}

.linhaSessao td div
{
	position: relative;
	width: 100%;
	height: 18px;	
}

.linhaSessao td strong
{
	font-size: 120%;
/*	font-style: italic;*/
/*	font-weight: bold;*/
	position: absolute;
	bottom: 6px;
	left: 16px;
	margin-bottom: 2px;
    margin-top: 0;
    padding-top: 2px;
}

/* Container de componentes */
div.containerSimples,
table.containerSimples,
table.containerSimples tr,
table.containerSimples tr td
{
	min-width: 0;
	min-height: 0;
	height: 0;
	border: 0;
	padding: 0;
	margin: 0;
	vertical-align: middle;
}

div.containerSimples,
table.containerSimples
{
	display: inline-block;
	height: 20px;
	vertical-align: middle;
}

/* Mensagens */

thead.tableHeaderMSGerro th 
{
  background-image: url(../img/interface/msg_ERRO.gif);
}

table.dataTable th 
{
  background-color: #DBEBFB;
  margin: 0px;
  padding: 0px 0px 0px;
  border: 0px none;
  color: #545454;
  vertical-align: middle;
  font-weight: bold;
}

table.dataTable td {
  background-color: #FFFFFF;
  margin: 0px 0px;
  padding: 0px 3px;
  color: #545454;
  font-weight: normal;
}

/* �cones bot�es */
div.iconeBotaoOK
{
	background: url(../img/interface/icone_botao_ok.gif) 7px 8px no-repeat;
}

div.iconeBotaoCancelar
{
	background: url(../img/interface/icone_botao_cancelar.gif) 8px 8px no-repeat;
}

div.iconeBotaoIncluir
{
	background: url(../img/interface/icone_botao_incluir.gif) 8px 8px no-repeat;
	height: 28px;
    width: 28px;
	display: inline-block;	
}

div.botaoAcessarCadastro
{
	background: url(../img/interface/botao_atalho_cadastro.png) 0px 0px no-repeat;
	height: 16px;
    width: 16px;
}

div.botaoDadosCliente{
	background: url(../img/interface/icone_cadastro_cliente_pqn.png) 0px 0px no-repeat;
	height: 16px;
    width: 16px;
}

div.botaoDadosClienteDesabilitado{
	background: url(../img/interface/icone_cadastro_cliente_pqn.png) 0px 0px no-repeat;
	height: 16px;
    width: 16px;
    opacity: 0.2;
}

div.iconeBotaoItemEspecifico
{
	background: url(../img/interface/add_produto.png) 8px 8px no-repeat;
}


div.iconeBotaoAlterar
{
	background: url(../img/interface/icone_botao_alterar.gif) 8px 8px no-repeat;
}

div.iconeBotaoExcluir
{
	background: url(../img/interface/icone_botao_excluir.gif) 8px 8px no-repeat;
}

div.iconeBotaoPesquisar
{
	background: url(../img/interface/icone_pesquisa.png) 6px 6px no-repeat;
}

div.iconeBotaoConfigurar
{
	background: url(../img/interface/icone_botao_configurar.gif) 4px 4px no-repeat;
}

div.iconeBotaoRelatorio
{
	background: url(../img/interface/icone_botao_imprimir.gif) 4px 2px no-repeat;
}

div.iconeBotaoZIP
{
	background: url(../img/interface/icone_botao_zip.gif) 6px 6px no-repeat;
}

div.iconeBotaoLote
{
	background: url(../img/interface/icone_botao_lote.gif) 6px 6px no-repeat;
}

div.iconeBotaoSerial
{
	background: url(../img/interface/icone_botao_serial.gif) 6px 6px no-repeat;
	width: 50px;
}

div.iconeBotaoSalvarTemp
{
	background: url(../img/interface/icone_botao_salvartemp.gif) 6px 6px no-repeat;
}

div.iconeBotaoProximo
{
	background: url(../img/interface/botao_paginador_proximo.png) 6px 6px no-repeat;
}

div.iconeBotaoDocumentoEnviar
{
	background: url(../img/interface/icone_envio_documento.png) 6px 6px no-repeat;
}

div.iconeBotaoDocumentoRetornar
{
	background: url(../img/interface/icone_retorno_documento.png) 6px 6px no-repeat;
}

div.iconeBotaoUpload
{
	background: url(../img/interface/icone_upload.png) 4px 4px no-repeat;
}

div.iconeBotaoReiniciar
{
	width: 22px;
	height: 22px;
	background: url(../img/interface/icone_botao_reiniciar.png) 4px 4px no-repeat;
}

div.botaoVisualizar
{	
	width: 18px;
	height: 18px;
	background: url(../img/interface/icone_visualizar.png) 1px 1px no-repeat;
	opacity:0.5;
}

div.botaoAlterar
{
	width: 18px;
	height: 18px;
	background: url(../img/interface/icone_alterar.png) 1px 1px no-repeat;
	opacity:0.5;
}

div.botaoExcluir
{
	width: 18px;
	height: 18px;
	background: url(../img/interface/icone_excluir.png) 1px 1px no-repeat;
	opacity:0.5;
	
}

div.botaoVisualizar:hover,div.botaoAlterar:hover,div.botaoExcluir:hover
{
	opacity:1;
}
div.botaoConfiguracao
{
	width: 18px;
	height: 18px;
	background: url(../img/interface/icone_configurac.png) 1px 1px no-repeat;
	margin: auto;	
	text-align: center;
    width: 18px;
}

table.botoesManutencao
{
}

table.semBorda
{
	padding: 0px;
	border: 0px;
	margin: 0px;
	border-collapse: collapse;
	margin-left: -1px;
}

table.compactaSemBorda
{
	padding: 0px;
	border: 0px;
	margin: 0px;
	border-collapse: collapse;
}

table.compactaSemBorda td
{
	padding: 0px;
}

table.alturaPadraoCelula td
{
	min-height: 26px;
	height: 26px;
}

table.alturaPadraoCelula th
{
	min-height: 26px;
	height: 26px;
}

td.botoesSelecaoCamposTabelaListagem {
	width: 34px;
	padding: 2px;
	vertical-align: middle;
}

td.botoesSelecaoCamposTabelaListagem a {
	width: 30px;
}

div.selecaoQuantidadeTabelaListagem {
	height: 21px;
	margin-top: 4px;
}

label.alertaSimples
{
	display: block;
	color: #FF7F00;
	font-weight: bold;
	position: absolute;
	z-index: 9;
}

table.tabelaCalendario
{
}

table.tabelaCalendario td
{
	vertical-align: top;
	min-width: 64px;
}

div.calendarioRetrocederMes
{
	float: left;
}

div.calendarioAvancarMes
{
	float: right;
}

div.calendarioExibeMes
{
	width: 200px;
	margin: 0px auto;
	text-align: center;
}

div.calendarioExibeMes input, div.calendarioExibeMes select, div.calendarioExibeMes span
{
	color: #545454;
	font-weight: bold;
	background: none;
	border: none;
}

div.calendarioItemDia
{
	background-color: #F8FEFF;
}

div.calendarioItemValor
{
	min-height: 20px;
	text-align: right;
}

select.shuttleSelectOrigem 
{
	min-height: 96px;
	min-width: 96px;
}

select.shuttleSelectDestino 
{
	min-height: 96px;
	min-width: 96px;
}

div.shuttleBotaoInclui 
{
	width: 22px;
	height: 22px;
	background: url(../img/interface/botao_shuttle_acrescenta.png) 3px 3px no-repeat;
}

div.shuttleBotaoIncluiTodos
{
	width: 22px;
	height: 22px;
	background: url(../img/interface/botao_shuttle_acrescenta_todos.png) 0px 0px no-repeat;
}

div.shuttleBotaoRemoveTodos
{
	width: 22px;
	height: 22px;
	background: url(../img/interface/botao_shuttle_remove_todos.png) 0px 0px no-repeat;
}

div.shuttleBotaoRemove
{
	width: 22px;
	height: 22px;
	background: url(../img/interface/botao_shuttle_remove.png) 3px 3px no-repeat;
}

div.shuttleBotaoSobe
{
	width: 22px;
	height: 22px;
	background: url(../img/interface/botao_shuttle_sobe.png) 3px 3px no-repeat;
}

div.shuttleBotaoDesce
{
	width: 22px;
	height: 22px;
	background: url(../img/interface/botao_shuttle_desce.png) 3px 3px no-repeat;
}

div.botaoFormaDinheiro
{
	width: 32px;
	height: 32px;
	background: url(../img/interface/icone_forma_dinheiro.png) 0px 0px no-repeat;
}

div.botaoFormaCartao
{
	width: 32px;
	height: 32px;
	background: url(../img/interface/icone_forma_cartao.png) 0px 0px no-repeat;
}

div.botaoFormaCheque
{
	width: 32px;
	height: 32px;
	background: url(../img/interface/icone_forma_cheque.png) 0px 0px no-repeat;
}

div.botaoFormaReceber
{
	width: 32px;
	height: 32px;
	background: url(../img/interface/icone_forma_receber.png) 0px 0px no-repeat;
}

div.botaoFormaConvenio
{
	width: 32px;
	height: 32px;
	background: url(../img/interface/icone_forma_convenio.png) 0px 0px no-repeat;
}

div.botaoFormaBanco
{
	width: 32px;
	height: 32px;
	background: url(../img/interface/icone_forma_banco.png) 0px 0px no-repeat;
}

div.botaoFormaFinanciamento
{
	width: 32px;
	height: 32px;
	background: url(../img/interface/icone_forma_financiamento.png) 0px 0px no-repeat;
}

div.botaoFormaTroca
{
	width: 32px;
	height: 32px;
	background: url(../img/interface/icone_forma_troca.png) 0px 0px no-repeat;
}

div.botaoFormaCredito
{
	width: 32px;
	height: 32px;
	background: url(../img/interface/icone_forma_credito.png) 0px 0px no-repeat;
}

div.botaoFormaCarteiraDigital
{
	width: 32px;
	height: 32px;
	background: url(../img/interface/icone_forma_carteira_digital.png) 0px 0px no-repeat;
}

div.botaoFaturamento
{
	width: 22px;
	height: 22px;
	background: url(../img/interface/icone_faturamento.gif) 6px 6px no-repeat;
}

div.botaoAgenda
{
	width: 24px;
	height: 24px;
	background: url(../img/interface/icone_agenda.png) 0px 0px no-repeat;
}

div.botaoCalculadora
{
	width: 24px;
	height: 24px;
	background: url(../img/interface/icone_calculadora.png) 0px 0px no-repeat;
}

div.botaoNFE
{
	width: 22px;
	height: 22px;
	background: url(../img/interface/icone_nfe.png) 5px 5px no-repeat;
}

div.botaoNFEPesquisa
{
	/*Utilizado apenas na tela de consulta de digita��o, est� formatada para 
	o alinhamento correto � tela.*/
	width: 50px;
	height: 20px;
	background: url(../img/interface/icone_nfe_col_pesquisa.png) 30px 0px no-repeat;
}


div.botaoAnexoPesquisa
{
	width: 30px;
	height: 20px;
	background: url(../img/interface/icone_anexo_col_pesquisa.png) 11px -3px no-repeat;
}

div.botaoSelecaoFormaPagamento
{
	width: 16px;
	height: 16px;
	background: url(../img/interface/icone_botao_formapagamento_escuro.gif) 0px 0px no-repeat;
}

div.botaoSelecaoFormaPagamento:hover
{
	background: url(../img/interface/icone_botao_formapagamento.gif) 0px 0px no-repeat;
}

table.radioGroup,
table.radioGroupSimNao
{
	/* ats:inputYesNo */
	display: inline-block;
	vertical-align: middle;
	margin-right: 1em;
}

table.radioGroup td,
table.radioGroupSimNao td
{
	/* ats:inputYesNo */
	vertical-align: middle;
}

table.radioGroup input,
table.radioGroup label,
table.radioGroupSimNao input,
table.radioGroupSimNao label
{
	/* ats:inputYesNo */
	vertical-align: middle;
	margin: 0;
}

table.radioGroup label,
table.radioGroupSimNao label
{
	/* ats:inputYesNo */
	margin-right: 0.5em;
}

div.painelAgrupado > div
{
	width: 100%;
	border: 1px solid #AAAAAA;

  	-webkit-border-radius: 8px;
  	-moz-border-radius: 8px;
  	border-radius: 8px;
}

div.caixaSeparadora
{
	margin-right: 16px;
	margin-bottom: 16px;
}

.sempreOculto
{
	display: none;
}

.textoDireita,
.formulario table td.textoDireita
{
	text-align: right;
}

.textoTopo
{
	vertical-align: text-top;
}

.moneyDisplay
{
	display: inline-block;
	text-align: right;
	width: 6em;
}

.campoNumerico
{
	text-align: right;
	width: 110px;
}

.containerCampoNumerico
{
	position: relative; 
	display: inline-block;
}

.containerCampoNumerico > label
{
	position: absolute; 
	top: 3px; 
	left: 3px; 
	color: #bbbbbb;
}

.markAsRequired
{
	font-weight: bold;
	margin-left: 0.5ex;
	color:#545454;
}

.requiredAlert
{
/*	background-color: #fff0e0;
	border-color:#C90;*/
	margin:1px;
}

.required
{
	border-color: #990000;
	margin:1px;
}

input.bloqueiaNavegacaoTab
{
	height: 0px;
	color: none;
	background: none;
	border: none;
}

div.loadingMessage
{
	position: absolute;
	top: 0px;
	right: 0px;
	background: red;
	padding: 4px;
}

div.loadingMessage label
{
	color: white;
	vertical-align: top;
}

div.loadingMessageIcon
{
	width: 22px;
	height: 22px;
	background: url(../img/rotating_arrow.gif) no-repeat;
	display: inline-block;
}

textarea.textoExpansivel
{
	height: 1.2em;
	padding: 1px 0px;
	margin: auto;
	/*margin-bottom: 4px;*/
}

/*** Di�logos pop-up ***/

body.dialogoSimples 
{
	background: #d7d7d7;
	margin: 0;
}

body.dialogoSimples > form 
{
	height: 100%;
}

body.dialogoSimples div.camposConteudo 
{
	background: #FCFCFC;
	height: 100%;
}

body.dialogoSimples div.camposConteudo .interno
{
	height: 96%; /* Navegadores antigos */
	height: -webkit-calc(100% - 16px);  /* para Chrome */
	height: -moz-calc(100% - 16px);     /* para Firefox */
	height: calc(100% - 16px);          /* para suporte nativo */	
	
	padding: 8px;
}

body.dialogoSimples div.camposConteudo .botoesManutencao 
{
	position: absolute;
	bottom: 4px;
	right: 4px;
}


/*** R�tulos de tabela ***/

td.rotulo
{
	text-align: right !important;
	padding-right: 4px;
}

td.rotuloAlto, .formulario td.rotuloAlto
{
	text-align: right !important;
	vertical-align: top;	
	padding-top: 0.5ex;
	padding-right: 4px;	
}

td.celulaComPaddingVertical, .formulario td.celulaComPaddingVertical
{
	padding-top: 0.5ex;
}

td.larguraDupla
{
	width: 300px;
}

td.larguraExtra
{
	width: 200px;
}

td.larguraMedia
{
	width: 150px;
}

td.larguraPequena
{
	width: 80px;
}


td.identacaoSubItem
{
	width: 32px;
	height: 1px !important;
}

/*** Outros r�tulos ***/

div.containerRotulo > fieldset
{
	display: inline;
	margin-bottom: 4px;
}

div.containerRotulo > fieldset > legend
{
	display: inline-block;
	float: left;

	text-align: right !important;
	padding-right: 4px;
}

div.containerRotulo > fieldset > legend > label
{
	display: inline-block;
	margin-top: 2px;
}

fieldset.larguraMedia
{
	min-width: 300px;
}

fieldset.larguraMedia > legend
{
	width: 150px;
}

fieldset.larguraPequena
{
	min-width: 160px;
}

fieldset.larguraPequena > legend
{
	width: 80px;
}

div.containerRotulo > div
{
	display: inline-block;
	margin-bottom: 4px;
}

div.containerRotulo > div > label
{
	display: inline-block;

	text-align: right !important;
	padding-right: 4px;
}

div.containerRotulo > div > .larguraMedia
{
	width: 150px;
}

div.containerRotulo > div > .larguraPequena
{
	width: 80px;
}

div.botaoNF
{	
	width: 14px;
	height: 14px;
	background: url(../img/interface/botao_ECF-DAV-P-NF.png) no-repeat -42px 0px;
}

div.botaoECF
{	
	width: 14px;
	height: 14px;
	background: url(../img/interface/botao_ECF-DAV-P-NF.png) no-repeat 0px 0px;
}

div.botaoDocumentos
{	
	width: 18px;
	height: 18px;
	background: url(../img/icons/icone_documentos.png) 1px 1px no-repeat;
}

div.botaoDAV
{	
	width: 14px;
	height: 14px;
	background: url(../img/interface/botao_ECF-DAV-P-NF.png) no-repeat -14px 0px;
}
div.botaoPEDIDO
{	
	width: 14px;
	height: 14px;
	background: url(../img/interface/botao_ECF-DAV-P-NF.png) no-repeat -28px 0px;
}

div.botaoNotasEntrada
{
	min-width: 250px;
}

div.iconePesquisar {
    background: url("../img/interface/botao_pesquisar.png") no-repeat scroll 0px 0px transparent;
    height: 16px;
    width: 16px;
	display: inline-block;
}

div.iconePesquisar:hover{
	opacity: 0.7;
	-moz-opacity:0.7;
	cursor:pointer;
}

a.itemButton {
	display: inline-block;	
}

a.codigoButton {
	display: inline-block;
}

.selecaoPessoa{
	width:300px;
}

div.botaoPesquisarPessoa
{
	width: 16px;
	height: 16px;
	background: url("../img/interface/botao_pesquisa_new.png") no-repeat scroll 0px 0px transparent;
}

div.selecaoFilial-externo
{
	width: 220px;
}

div.checklistSelecaoFilial
{
	width: 250px;
	float:right;
}

fieldset.fieldsetComBorda,
fieldset.fieldsetComBordaEnchimento
{
	border: solid 1px;
	border-color: #D2D2D2;
	border-radius: 8px 8px 8px 8px;
}

fieldset.fieldsetComBordaEnchimento
{
	padding: 1em;
}

div.botaoPesquisaItem {
	width: 16px;
	height: 16px;
	background: url("../img/interface/teste_pesquisa.png") no-repeat scroll 0px 0px transparent;
}

div.botaoPesquisaItem:hover {
	opacity: 0.7;
	-moz-opacity:0.7;
	color: transparent;
	background-color: transparent;	
	cursor:pointer;
}

a.comando:hover, 
div.botaoPesquisaItem:hover
{
	background-color: transparent;	
	cursor:pointer;
}

/* Barra de rolagem horizontal */

.rolagemHorizontal
{
	border: 1px solid #DDD;
	background-color:#CCC;
	border-radius: 4px;
	height: 5px;
	margin-top: 4px;
	margin-bottom: 4px;
}

.rolagemHorizontal.semRolagem
{
	display: none;
}

.rolagemHorizontal > .indicador
{

	background: #AAA;
	border-radius: 4px;
	cursor: all-scroll;
	height: 100%;
	width: 64px;
	
background: #b5bdc8; /* Old browsers */
background: -moz-linear-gradient(top,  #b5bdc8 0%, #828c95 36%, #28343b 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#b5bdc8), color-stop(36%,#828c95), color-stop(100%,#28343b)); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top,  #b5bdc8 0%,#828c95 36%,#28343b 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top,  #b5bdc8 0%,#828c95 36%,#28343b 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(top,  #b5bdc8 0%,#828c95 36%,#28343b 100%); /* IE10+ */
background: linear-gradient(to bottom,  #b5bdc8 0%,#828c95 36%,#28343b 100%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#b5bdc8', endColorstr='#28343b',GradientType=0 ); /* IE6-9 */



}

.rolagemHorizontal > .indicador:hover
{
	background: #DDD;
	transition: all 0.2s ease-in-out;
	
background: #828c95; /* Old browsers */
background: -moz-linear-gradient(top,  #828c95 36%, #28343b 95%, #b5bdc8 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(36%,#828c95), color-stop(95%,#28343b), color-stop(100%,#b5bdc8)); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top,  #828c95 36%,#28343b 95%,#b5bdc8 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top,  #828c95 36%,#28343b 95%,#b5bdc8 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(top,  #828c95 36%,#28343b 95%,#b5bdc8 100%); /* IE10+ */
background: linear-gradient(to bottom,  #828c95 36%,#28343b 95%,#b5bdc8 100%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#828c95', endColorstr='#b5bdc8',GradientType=0 ); /* IE6-9 */

}

/* Barra de rolagem vertical */

.rolagemVertical
{
	position: absolute;
	top: 26px;
	bottom: 1px;
	right: 1px;
	
	background: #DDD;
	border: 1px solid white;
	width: 8px;	
	border-radius: 8px;
	
	opacity: 0.6;
}

.rolagemVertical:hover
{
	opacity: 1;
	width: 10px;
	transition: all 0.3s ease-in-out;	
}

.rolagemVertical.semRolagem
{
	display: none;
}

.rolagemVertical > .indicador
{
	background: blue;
	border-radius: 8px;
	height: 26px;
	cursor: n-resize;

	background: #666;
	
	opacity: 0.5;
}

.rolagemVertical > .indicador:hover
{
	opacity: 1;
	transition: opacity 0.2s ease-in-out;
}


/* ... */


input:focus, select:focus, textarea:focus{
	outline:none;
    border-color:rgba(163, 163, 163, .75);
    box-shadow:0 0 8px rgba(163, 163, 163, .5);
    -moz-box-shadow:0 0 8px rgba(163, 163, 163, .5);
    -webkit-box-shadow:0 0 8px rgba(163, 163, 163, .5);
	background-color: #FFF8DC;

}

input[type=submit]:focus {
	opacity: 0.7;
	-moz-opacity:0.7;
	background-color: transparent;	
}

.botaoCompacto:focus {
	color: #d40904;
	text-decoration: none;
}

#clienteButton:focus,
#informaParcelas:focus,
#itemButton:focus,
#clienteButtonCadastro:focus,
#itemButtonCadastro:focus,
#pessoaButton:focus  {
	border-color: #BEBEBE;
	border-style: solid;
	border-width: 2px;
}

.comboOperacao {
	width: 110px;
	text-overflow: ellipsis;	
}

.comboPlano{
	width: 260px;
	text-overflow: ellipsis;	
}

.comboCidade {
	width: 260px;
	text-overflow: ellipsis;	
}

.groupBox
{
	border: 1px solid #A0ACB8;
	border-radius: 8px;
	padding: 8px;
}

/* rodape */

.usuarioinfo{
	
	box-sizing: border-box;
    -moz-box-sizing: border-box;
    background-color: transparent;
    padding-top: 7px;
    position: relative;
    height: 100%;
    /* right: -130px; */
    width: 80%;
    font-size: 100% !important;
    float: left;
    margin-left: 10%;
}
.bxinfo{
	display:inline-block;
	margin-left:5px;
	font-size:11px;
}


/* Cabe�alhos de painel */

#conteudo input[type=submit], #conteudo input[type=radio], #conteudo input[type=checkbox], #conteudo input[type=text], #conteudo textarea, .tableContent, .tabelaOrdenavel, .tabelaDraggable, select{
	text-transform: none;
}
.myFaces_pannelTabbedPane_HeaderRow input{
	text-transform:none;
}

.comboTipoMov {
	width:270px;
}

.botoNovaAba
{
	display: inline-block;
	vertical-align: top;
}

/* Spinbutton do RichFaces */

body .rf-insp
{
	font-size: inherit;
	vertical-align: middle;
}

/* Pop up do RichFaces */

.rf-pp-cnt
{
	position: absolute;
	top: 22px;
	bottom: 0;
	left: 0;
	right: 0;
}
/* ats:collapsiblePanel */

.collapsiblePanel
{
	margin: 2px 0;
	display: block;
}

.collapsiblePanel > .legend
{
	display: block;	
	border: 1px solid #AAA;
	padding: 4px;
	padding-left: 24px;
	cursor: pointer;
}

.collapsiblePanel > .body
{
	padding-top: 4px;
	display: none;
}

.collapsiblePanel > .legend > label
{
	cursor: pointer;
}

.collapsiblePanel.oculto > .legend
{
	background: url(../img/interface/close.png) 4px center no-repeat;
}

.collapsiblePanel.expandido > .legend
{
	background: url(../img/interface/open.png) 4px center no-repeat;
}

.collapsiblePanel.oculto > .body
{
	height: 0;
	display: none;
}
.collapsiblePanel.expandido > .body
{
	display: block;
}


/*** Lista de per�odos ***/

.listaPeriodos
{
	display: inline-block;
	position: relative;
}

.listaPeriodos > .lista
{
	margin-right: 16px;
	transition: padding-bottom 0.3s ease-in-out;
}

.listaPeriodos > .lista > li
{
	transition: opacity 0.5s, transform 0.5s ease-in, max-height 1s;
}

.listaPeriodos > .lista .excluir
{
	width: 16px;
	height: 16px;
	color: transparent;
	border: none;
	background: url(../img/interface/icone_excluir_destacado.png) center center no-repeat;
	cursor: pointer;
	
	opacity: 0;
	transform: rotate3d(1, 0, 0, 90deg);
	transition: opacity 0.3s ease-in-out, transform 0.3s;
}

.listaPeriodos > .lista li:hover .excluir
{
	opacity: 1;
	transform: none;
}

.listaPeriodos > .incluir
{
	position: absolute;
	bottom: 2px;
	right: 0;
	
	width: 16px;
	height: 16px;
	color: transparent;
	border: none;
	background: url(../img/interface/add_cadastro.png) center center no-repeat;
	cursor: pointer;
}

.listaPeriodos .excluindo
{
	opacity: 0;
	transform: rotate3d(0.5, 0.5, 1, 30deg) translate3d(0, 200px, 0);
	max-height: 0;
}

.listaPeriodos .incluindo
{
	padding-bottom: 18px;
}

a[id="manutencao:botaoSalvar"] .bordasSuavementeArredondadas.comando.comando-botao {
    background-color: #6DD656;
}

a[id="manutencao:botaoSalvar"] .bordasSuavementeArredondadas.comando.comando-botao > label {
    color: #FFFFFF;
}

a[id="botaoCancelar"] .bordasSuavementeArredondadas.comando.comando-botao {
    background-color: #D03636;
}

a[id="botaoCancelar"] .bordasSuavementeArredondadas.comando.comando-botao > label {
    color: #FFFFFF;
}

a[id="manutencao:botaoSalvar"]:focus .bordasSuavementeArredondadas.comando.comando-botao {
    background-color: #ffc;
}

a[id="manutencao:botaoSalvar"]:focus .bordasSuavementeArredondadas.comando.comando-botao > label {
    color: #007;
}

a.comando.processando > div.comando,
a[id="manutencao:botaoSalvar"].processando .bordasSuavementeArredondadas.comando.comando-botao
{
	background: url(windows_js/alert/progress.gif) no-repeat scroll 2px center #FFEE88;
	color: #445588;
	cursor: progress;

	-webkit-animation: flash 2s infinite; /* Safari 4+ */
	-moz-animation: flash 2s infinite; /* Fx 5+ */
	-o-animation: flash 2s infinite; /* Opera 12+ */
	animation: flash 2s infinite; /* IE 10+ */
}


/*** Bot�o de filtragem interno padr�o ***/


button.botaoInterno
{
    font-size: 8pt;
    height: 24px;
    vertical-align: text-top;
    width: 115px;
}

button.botaoInterno.botaoFiltrar > label
{
	background: url("../img/interface/botao_pesquisa_new.png") no-repeat scroll 0 center transparent;
	padding-left: 18px;
}


/*** Mensagem de coleta de informa��o de acesso ***/


.coletaInformacaoAcesso
{
	background: url(../img/login/fundo_login.jpg) no-repeat scroll 0 0 / cover  rgba(0, 0, 0, 0);
	overflow: hidden;
}

.mensagemInformacaoAcesso
{
	background: url("../img/interface/msg_info_icone.png") no-repeat scroll 8px 4px white; 
	border: 1px solid rgba(80, 80, 80, 0.75); 
	padding: 8px; 
	padding-left: 32px; 
	border-radius: 8px; 
	width: 30em; 
	margin: auto; 
	margin-top: 8em;
	box-shadow: 8px 8px 5px #888888;
	transition: margin 1s ease-in-out, opacity 1s ease-in-out;
}



/*** Mensagem de erro de vis�o expirada ***/


.erroVisaoExpirou
{
	background: url(../img/login/fundo_login.jpg) no-repeat scroll 0 0 / cover  rgba(0, 0, 0, 0);
}

.mensagemErroVisaoExpirou
{
	background: url("../img/interface/msg_erro_icone.png") no-repeat scroll 8px 4px white; 
	border: 1px solid rgba(80, 80, 80, 0.75); 
	padding: 8px; 
	padding-left: 32px; 
	border-radius: 8px; 
	width: 30em; 
	margin: auto; 
	margin-top: 8em;
	box-shadow: 8px 8px 5px #888888;
	transition: margin 1s ease-in-out, opacity 1s ease-in-out;
}

.mensagemErroVisaoExpirou.carregando
{
	margin-top: 50%;
	opacity: 0;
}

.mensagemErroVisaoExpirou p
{
	font-size: 12px;
}

/*** Caixa de informa��o ***/

.caixaDica
{
	display: inline-block;
	border: 1px dashed #66F;
	padding: 4px;
	border-radius: 2px;
	margin-top: 4px;
}

.ocultaCampo 
{
	display:none;
}

.descricaoListaPreco {
	width: 530px !important;
	min-width: 530px !important;
	max-width: 530px !important;
}

.imagemLoad{
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: url("../img/interface/spinner-128.gif") no-repeat scroll center center transparent;
	z-index:1;
}
.imagemLoad.oculta{
	display: none;
}

div[id="atsTabelacadastroModImpMatricial"] {
    height: 99% !important;
}

.imagemLoadPopup{
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: url("../img/interface/spinner-128.gif") no-repeat scroll center center transparent;
}
.imagemLoadPopup.oculta{
	display: none;
}

.iconeClicavel {
	cursor: pointer;
}

.iconeClicavel.desabilitado {
	opacity: 0.5;
}

/* Senha ocultavel via botao */

.containerSenhaComutavel {
	position: relative;
}

.iconeSenhaComutavel {
	display: inline-block;
	width: 16px;
	height: 16px;
	background: url("../img/interface/icone_eye_solid.svg") no-repeat scroll center center transparent;
	opacity: 0.5;
	
	position: absolute;
	top: calc(50% - 6px);
	right: 12px;
	
	transition: opacity 0.2s ease-in-out;
}

.iconeSenhaComutavel:hover {
	opacity: 1;
}

.iconeSenhaComutavel.senhaVisivel {
	background: url("../img/interface/icone_eye_slash_solid.svg") no-repeat scroll center center transparent;
}

/* No Chrome, o select n�o est� dando indica��o de estar desabilitado */
@media screen and (-webkit-min-device-pixel-ratio:0) {
	select:disabled {
		background:rgb(226, 226, 226);
	}
}

select:not(:disabled):not(:focus) {
	background-color: white;
}

input:disabled {
	background-color: rgb(240, 240, 240);
}
